%define upstream_name    App-Countdown
%define upstream_version 0.8.1

%{?perl_default_filter}

Name:       countdown
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Like sleep, only displays the amount of time remaining
License:    MIT
Group:      File tools
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildArch:  noarch

%description
countdown is similar to sleep, only displays the amount of time remaining
to go.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.8.1-2.mga8
+ Revision: 1527656
- Mageia 8 Mass Rebuild

* Sat Jul 20 2019 shlomif <shlomif> 0.8.1-1.mga8
+ Revision: 1423058
- update to 0.8.1

* Fri Jul 19 2019 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1423032
- update to 0.8.0

* Fri Feb 01 2019 shlomif <shlomif> 0.6.0-1.mga7
+ Revision: 1362225
- New version 0.6.0

* Thu Sep 20 2018 umeabot <umeabot> 0.4.4-2.mga7
+ Revision: 1277819
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 shlomif <shlomif> 0.4.4-1.mga7
+ Revision: 1133838
- New version 0.4.4

* Sat Jun 18 2016 pterjan <pterjan> 0.4.3-7.mga6
+ Revision: 1022107
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.4.3-6.mga6
+ Revision: 972140
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 danf <danf> 0.4.3-5.mga6
+ Revision: 896115
- Added missing BuildRequires: perl(Module::Build)

* Sun Oct 19 2014 umeabot <umeabot> 0.4.3-4.mga5
+ Revision: 790287
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.3-3.mga5
+ Revision: 743330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.3-2.mga5
+ Revision: 678556
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.4.3-1.mga5
+ Revision: 582096
- New version 0.4.3

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 503481
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 348190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 shlomif <shlomif> 0.2.0-1.mga3
+ Revision: 318917
- New version 0.2.0

* Wed Nov 14 2012 shlomif <shlomif> 0.0.4-1.mga3
+ Revision: 317864
- New version 0.0.4

* Tue Nov 13 2012 shlomif <shlomif> 0.0.2-1.mga3
+ Revision: 317538
- Fix summary and group.
- countdown package based on the Mageia ack package

